npm项目运行找不到相关依赖

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/sinat_33312523/article/details/76797501

关于npm安装依赖404问题

我们在运行npm run dev时,时常会遇到not found module ‘xxx’ 的问题,导致项目运行失败,当遇到这类问题时,通常分为四种解决方法:

  1. 开发人员在下载依赖的时候没有加 –save,导致package.json中没有标记你想要的依赖,所以你拿到项目的时候下载就不会下载那个模块,自然会出现模块找不到的情况,解决方法为你可以通过终端提示报错项,单个下载你想要的模块

  2. cnpm掉包问题,这个问题我有时常遇到过,众所周知cnpm是阿里在中国做的镜像,下载速度远胜于npm,但是会出现掉包问题导致项目无法安装全部依赖,这种情况可以使用原生的npm安装依赖

  3. 重新安装node.js,楼主遇到过这种情况,无论是使用npm 还是 cnpm 都无法安装所有依赖,并且还会出现一些坑爹的报错的时候,建议完全卸载node.js后重新安装,升级没啥卵用,建议还是卸了的好

  4. 使用yarn,这款包管理器是facebook公司所推出的,功能跟上述两种基本一致,当然速度肯定是没有国内的cnpm快的,但是如果上述两种都不可取(在npm过慢和cnpm掉包时),可以尝试使用yarn来安装所有依赖

没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试